Skip to main content
GET
cURL

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

cursor
string

The pagination cursor value.

page_size
integer

Number of results to return per page. Default is 200.

Required range: x <= 1000
name
string

Campaign name to filter by. Returns campaigns whose names contain this substring (case-insensitive).

status
enum<string>

Filter by campaign status. Status is derived from lifecycle timestamps and review progress. The current status of a campaign.

Available options:
DRAFT,
ONGOING,
COMPLETED,
STOPPED,
ENDED
Example:

"ONGOING"

created_at_after
string<date-time>

Include campaigns created after this timestamp (exclusive). ISO 8601 format.

created_at_before
string<date-time>

Include campaigns created before this timestamp (exclusive). ISO 8601 format.

started_at_after
string<date-time>

Include campaigns started after this timestamp (exclusive). ISO 8601 format.

started_at_before
string<date-time>

Include campaigns started before this timestamp (exclusive). ISO 8601 format.

ended_at_after
string<date-time>

Include campaigns ended after this timestamp (exclusive). ISO 8601 format.

ended_at_before
string<date-time>

Include campaigns ended before this timestamp (exclusive). ISO 8601 format.

stopped_at_after
string<date-time>

Include campaigns stopped after this timestamp (exclusive). ISO 8601 format.

stopped_at_before
string<date-time>

Include campaigns stopped before this timestamp (exclusive). ISO 8601 format.

Response

200 - application/json

A list of campaigns for your organization.

A list of campaigns.

results
object[]
required
next
string | null

The cursor with which to continue pagination if additional result pages exist.

Example:

"cD0yMDIxLTAxLTA2KzAzJTNBMjQlM0E1My40MzQzMjYlMkIwMCUzQTAw"

previous
string | null

The cursor used to obtain the current result page.

Example:

"cj1sZXdwd2VycWVtY29zZnNkc2NzUWxNMEUxTXk0ME16UXpNallsTWtJ"

Last modified on August 12, 2026